Bug 215679 - databases/p5-SQL-Abstract-More: update to 1.28
Summary: databases/p5-SQL-Abstract-More: update to 1.28
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Sunpoet Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-12-31 01:59 UTC by Sergei Vyshenski
Modified: 2017-01-16 15:39 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (espen)


Attachments
patch for updating the port (1.77 KB, patch)
2016-12-31 01:59 UTC, Sergei Vyshenski
no flags Details | Diff
patch for updating the port (1.81 KB, patch)
2017-01-08 12:13 UTC, Sergei Vyshenski
svysh.fbsd: maintainer-approval? (espen)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sergei Vyshenski 2016-12-31 01:59:25 UTC
Created attachment 178412 [details]
patch for updating the port

- Update 1.15 --> 1.28
Changes: http://cpansearch.perl.org/src/DAMI/SQL-Abstract-More-1.28/Changes

- remove p5-Scalar-Does from build dependencies as not needed.

- add new build and test dependencies, except those which are core modules.

- add NO_ARCH=yes

- "portlint -AC" gives just non-relevant warnings.

- Tested (with and without buil-in perl tests) at 11.stable-amd64 
with poudriere-3.1.14, perl-5.24.1, and openssl from base.
To activate test from within poudriere, file  
Mk/Uses/perl5.mk was locally augmented with lines:

.if defined(RUN_PERL_TESTS)
BUILD_DEPENDS+= ${TEST_DEPENDS}
pre-install:    test
.endif

All tests say: PASS.
Comment 1 Sergei Vyshenski 2017-01-08 12:13:04 UTC
Created attachment 178620 [details]
patch for updating the port

Now with sorted *_DEPENDS.
Comment 2 Sunpoet Po-Chuan Hsieh freebsd_committer 2017-01-08 12:57:36 UTC
(In reply to Sergei Vyshenski from comment #1)

The correct dependency is:

BUILD_DEPENDS=  p5-MRO-Compat>0:devel/p5-MRO-Compat \
                p5-Params-Validate>0:devel/p5-Params-Validate \
                p5-SQL-Abstract>=1.73:databases/p5-SQL-Abstract \
                p5-namespace-clean>=0:devel/p5-namespace-clean
RUN_DEPENDS:=   ${BUILD_DEPENDS}
TEST_DEPENDS=   p5-List-MoreUtils>=0:lang/p5-List-MoreUtils \
                p5-Test-Exception>=0:devel/p5-Test-Exception \
                p5-Test-Pod>=0:devel/p5-Test-Pod

I could not find any clue that p5-Moo, p5-Sub-Quote and p5-Test-Deep are required for testing.
Comment 3 Sergei Vyshenski 2017-01-08 13:53:06 UTC
1. A few days ago (after this patch was prepared) p5-Moo has been added as a new build dependency of prerequisite port p5-SQL-Abstract. So it is not needed here. Correct. Sorry.

2.  Sub::Defer is a sub-module of Sub::Quote, which is a prerequisite of Moo. So today p5-Sub-Quote is not needed here too. Correct. And sorry again.

3. Running perl tests from within poudriere using a method suggested by you and without p5-Test-Deep in TEST_DEPENDS:
Can't locate Test/Deep.pm in @INC (you may need to install the Test::Deep module)
<...>
Result: FAIL
Failed 7/9 test programs. 0/2 subtests failed.
*** Error code 2
Stop.

Thank you very much.
Comment 4 Sunpoet Po-Chuan Hsieh freebsd_committer 2017-01-08 20:34:52 UTC
(In reply to Sergei Vyshenski from comment #3)

I found that SQL::Abstract::Test requires Test::Deep. I'll update databases/p5-SQL-Abstract first.
Comment 5 commit-hook freebsd_committer 2017-01-16 15:36:16 UTC
A commit references this bug:

Author: sunpoet
Date: Mon Jan 16 15:35:38 UTC 2017
New revision: 431672
URL: https://svnweb.freebsd.org/changeset/ports/431672

Log:
  Update to 1.28

  - Add TEST_DEPENDS
  - Add NO_ARCH

  Changes:	http://search.cpan.org/dist/SQL-Abstract-More/Changes
  PR:		215679
  Submitted by:	Sergei Vyshenski <svysh.fbsd@gmail.com>
  Approved by:	maintainer (timeout, 16 days)

Changes:
  head/databases/p5-SQL-Abstract-More/Makefile
  head/databases/p5-SQL-Abstract-More/distinfo
Comment 6 Sunpoet Po-Chuan Hsieh freebsd_committer 2017-01-16 15:39:00 UTC
Committed. Thanks!